## snapraid 11.5

=== raid/test/Makefile ===
#
# Test programs for the RAID library
#
# selftest - Runs the same selftest and speedtest executed at the module startup.
# fulltest - Runs a more extensive test that checks all the built-in functions.
# speedtest - Runs a more complete speed test.
# invtest - Runs an extensive matrix inversion test of all the 377.342.351.231
#           possible square submatrices of the Cauchy matrix used.
# covtest - Runs a coverage test.
# sdecovtest - Runs a coverage test with the sde emulator.
#

MACHINE = $(shell uname -m)
ifeq ($(MACHINE),i686)
SDE = sde
else
SDE = sde64
endif
CC = gcc
LD = ld
CFLAGS = -I.. -Wall -Wextra -g
ifeq ($(COVERAGE),)
CFLAGS += -O2
else
CFLAGS += -O0 --coverage -DCOVERAGE=1 -DNDEBUG=1
endif
OBJS = raid.o check.o int.o intz.o x86.o x86z.o tables.o memory.o test.o helper.o module.o tag.o

%.o: ../%.c
	$(CC) $(CFLAGS) -c -o $@ $<

all: fulltest speedtest selftest invtest

fulltest: $(OBJS) fulltest.o
	$(CC) $(CFLAGS) -o fulltest $^

speedtest: $(OBJS) speedtest.o
	$(CC) $(CFLAGS) -o speedtest $^

selftest: $(OBJS) selftest.o
	$(CC) $(CFLAGS) -o selftest $^

invtest: $(OBJS) invtest.o
	$(CC) $(CFLAGS) -o invtest $^

mktables: mktables.o
	$(CC) $(CFLAGS) -o mktables $^

tables.c: mktables
	./mktables > tables.c

# Use this target to run a coverage test using lcov
covtest:
	$(MAKE) clean
	$(MAKE) lcov_reset
	$(MAKE) COVERAGE=1 all
	./fulltest
	./selftest
	./speedtest
	$(MAKE) lcov_capture
	$(MAKE) lcov_html

# Use this target to run a coverage test using lcov and the sde
sdecovtest:
	$(MAKE) clean
	$(MAKE) lcov_reset
	$(MAKE) COVERAGE=1 all
	$(SDE) -p4p -- ./fulltest
	$(SDE) -mrm -- ./fulltest
	$(SDE) -nhm -- ./fulltest
	$(SDE) -hsw -- ./fulltest
	$(SDE) -p4p -- ./selftest
	$(SDE) -mrm -- ./selftest
	$(SDE) -nhm -- ./selftest
	$(SDE) -hsw -- ./selftest
	$(SDE) -hsw -- ./speedtest
	$(MAKE) lcov_capture
	$(MAKE) lcov_html

lcov_reset:
	lcov --directory . -z
	rm -f lcov.info

lcov_capture:
	lcov --directory . --capture --rc lcov_branch_coverage=1 -o lcov.info

lcov_html:
	rm -rf coverage
	mkdir coverage
	genhtml --branch-coverage -o coverage lcov.info

clean:
	rm -f *.o mktables tables.c
	rm -f *.gcda *.gcno lcov.info
	rm -rf coverage

distclean: clean
	rm -f fulltest speedtest selftest invtest

=== debian/changelog ===
snapraid (11.5-1) unstable; urgency=medium

  * New upstream version 11.5

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jul 2020 15:20:50 +0800

snapraid (11.4-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #960816)

 -- Mo Zhou <lumin@debian.org>  Fri, 22 May 2020 00:42:52 +0800

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## snapraid 12.0

=== debian/changelog ===
snapraid (12.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Mo Zhou ]
  * New upstream version 12.0 (Closes: #995324)

 -- Mo Zhou <lumin@debian.org>  Sat, 08 Jan 2022 11:49:08 -0500

## snapraid 12.1

=== debian/changelog ===
snapraid (12.1-1) unstable; urgency=medium

  * New upstream version 12.1

 -- Mo Zhou <lumin@debian.org>  Sun, 30 Jan 2022 12:47:06 -0500

=== debian/control ===
Source: snapraid
Section: admin
Homepage: https://github.com/amadvance/snapraid
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/snapraid.git
Vcs-Browser: https://salsa.debian.org/debian/snapraid
Maintainer: Mo Zhou <lumin@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),

Package: snapraid
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: backup program for disk arrays
 SnapRAID is a backup program for disk arrays. It stores parity
 information of your data and it recovers from up to six disk
 failures.
 .
 SnapRAID is mainly targeted for a home media center, where you
 have a lot of big files that rarely change.
 .
 Beside the ability to recover from disk failures, the other
 features of SnapRAID are:
 .
  * You can use disk already filled with files, without the need to
    reformat them. You will access them like now.
  * All your data is hashed to ensure data integrity and to avoid
    silent corruption.
  * If the failed disks are too many to allow a recovery,
    you lose the data only on the failed disks.
    All the data in the other disks is safe.
  * If you accidentally delete some files in a disk, you can
    recover them.
  * The disks can have different sizes.
  * You can add disks at any time.
  * It doesn't lock-in your data. You can stop using SnapRAID at any
    time without the need to reformat or move data.
  * To access a file, only a single disk needs to spin, saving power and
    producing less noise.
 .
 The official site of SnapRAID is: http://www.snapraid.it/

## snapraid 12.2

=== debian/changelog ===
snapraid (12.2-1) unstable; urgency=medium

  * New upstream version 12.2

 -- Mo Zhou <lumin@debian.org>  Thu, 08 Sep 2022 21:54:28 -0400

## snapraid 12.3

=== debian/changelog ===
snapraid (12.3-1) unstable; urgency=medium

  * New upstream version 12.3

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Feb 2024 13:56:08 -0500

## snapraid 12.4

=== debian/changelog ===
snapraid (12.4-1) unstable; urgency=medium

  * New upstream version 12.4

 -- Mo Zhou <lumin@debian.org>  Mon, 27 Jan 2025 00:21:49 -0500

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%snapraid-$1.tar.gz%" \
https://github.com/amadvance/snapraid/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## snapraid 13.0

=== debian/changelog ===
snapraid (13.0-1) unstable; urgency=medium

  * New upstream version 13.0
  * Patch man page to use /var/lib/snapraid instead, and create this
    directory for the package. (Closes: #1085307)

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Dec 2025 18:06:44 -0500
